Quickstart

As described in Core API Concepts Core API endpoints can be executed with any HTML or REST client.

You can use HTTP/REST client applications like Postman or Insomnia, the command-line toll cURL. And for simple HTTP methods without request body (e.g. GET) you can just use a web browser.

How to start?

  1. Retrieve an API (JWT) token → cp. Authentication

  2. Go to the Core API Endpoint Overview and select the endpoint you want to execute. For example /dam/dirs/retrieve → you will be redirected to the OMN Core API Reference page which shows details of the selected endpoint

  3. Go to "Samples > curl" section → there you will find a cURL request you can copy (by clicking copy symbol in the upper right of the text field).

  4. Replace the placeholders in the request (<OMN_SERVER>, <TOKEN>) by real values

  5. Execute the request with cURL in a CLI (CMD, Terminal)

Example:

curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/dirs/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "rncTid": "MAM",
    "level": 1
}'

Welcome to the AI Chat!

Write a prompt to get started...